﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Collections.Generic;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using Telerik.Web.UI.Scheduler.Views;

public partial class RadSchedulerXMLDemo : System.Web.UI.Page 
{
   

    protected void Page_Load(object sender, EventArgs e)
    {
        
    }
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
        RadScheduler1.Provider = new XmlSchedulerProvider(Server.MapPath("~/App_Data/Appointments.xml"), true);
    }

    protected void RadScheduler1_TimeSlotCreated(object sender, TimeSlotCreatedEventArgs e)
    {
        if (RadScheduler1.SelectedView == SchedulerViewType.MonthView && (e.TimeSlot.CssClass != "Disabled" && e.TimeSlot.CssClass != "notSelectable"))
        {
            CheckBox chk = new CheckBox();
            chk.Checked = false;
            chk.Text = "Close";
            chk.AutoPostBack = true;
            chk.CheckedChanged += new EventHandler(chk_CheckedChanged);
            chk.Attributes.Add("Start", e.TimeSlot.Start.Ticks.ToString());
            chk.Attributes.Add("End", e.TimeSlot.End.Ticks.ToString());
            e.TimeSlot.Control.Controls.Add(chk);
        }
    }

    protected void chk_CheckedChanged(object sender, EventArgs e)
    {
        CheckBox CompletedStatusCheckBox = (CheckBox)sender;

        IList<Appointment> currentAppCollection = RadScheduler1.Appointments.GetAppointmentsInRange(new DateTime(long.Parse(CompletedStatusCheckBox.Attributes["Start"])), new DateTime(long.Parse(CompletedStatusCheckBox.Attributes["End"])));
        if (CompletedStatusCheckBox.Checked)
        {
            foreach (Appointment currentApp in currentAppCollection)
            {
                Appointment appointmentToUpdate = RadScheduler1.PrepareToEdit(currentApp, RadScheduler1.EditingRecurringSeries);
                currentApp.CssClass = "notSelectable";
            }

        }
    }

    
   

  
}
